Skip to main content
GET
/
pwa
/
v3
/
projects
/
:project_slug
/
environments
/
:environment_slug
/
trusted_token_profiles
Getall
curl --request GET \
  --url https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/trusted_token_profiles \
  --header 'Authorization: Basic <encoded-value>'
{
  "request_id": "<string>",
  "profiles": [
    {
      "profile_id": "<string>",
      "name": "<string>",
      "audience": "<string>",
      "issuer": "<string>",
      "pem_files": [
        {
          "pem_file_id": "<string>",
          "public_key": "<string>"
        }
      ],
      "can_jit_provision": true,
      "jwks_url": "<string>",
      "attribute_mapping": "<string>",
      "public_key_type": "JWK"
    }
  ],
  "status_code": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

project_slug
string
required
environment_slug
string
required

Response

Successful response

Response type

request_id
string
required
profiles
object[]
required
status_code
integer<int32>
required